Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004988OCaml~DO NOT USE (was: OCaml general)public2010-02-28 16:542010-04-30 05:10
Reporteryziquel 
Assigned Togarrigue 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.2 
Target VersionFixed in Version3.11.2 
Summary0004988: Contravariance lost with ocamlc -i
DescriptionHere's the .ml file:

yziquel@seldon:~/sandbox$ cat t.ml
type untyped
type 'a typed = private untyped
type -'typing tau = private obj
and 'a t = 'a typed tau
and obj = private untyped tau

Here's the infered .mli:

yziquel@seldon:~/sandbox$ ocamlc -i t.ml
type untyped
type 'a typed = private untyped
type 'a tau = private obj
and 'a t = 'a typed tau
and obj = private untyped tau

The contravariance on tau is lost in the signature declaration.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005259)
garrigue (manager)
2010-03-05 01:33

fixed in typing/printtyp.ml
(0005418)
garrigue (manager)
2010-04-30 05:10

Already fixed, now close.

- Issue History
Date Modified Username Field Change
2010-02-28 16:54 yziquel New Issue
2010-03-05 01:33 garrigue Note Added: 0005259
2010-03-05 01:33 garrigue Status new => resolved
2010-03-05 01:33 garrigue Fixed in Version => 3.11.2
2010-03-05 01:33 garrigue Resolution open => fixed
2010-03-05 01:33 garrigue Assigned To => garrigue
2010-04-30 05:10 garrigue Note Added: 0005418
2010-04-30 05:10 garrigue Status resolved => closed
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker